Subject: Re: [xmpp] 3921bis: delivery of messages addressed to bare JIDs

From: Peter Saint-Andre <[email-masked]>
Date: Sat, 06 Mar 2010 19:09:48 -0700

On 2/2/10 11:07 AM, Dave Cridland wrote:
> On Fri Jan 29 02:44:25 2010, Peter Saint-Andre wrote:
>> On 1/28/10 5:04 PM, Dave Cridland wrote:
>> > On Thu Jan 28 23:18:08 2010, Peter Saint-Andre wrote:
>> >> Currently some XMPP services broadcast messages addressed to a bare
>> JID
>> >> instead of delivering those messages only to the highest-priority
>> >> resource(s). The highest-priority rule is a legacy of the original
>> >> jabberd 1.x codebase and I don't see a strong reason to forbid other
>> >> message delivery styles. Therefore I propose a change to Section
>> 8.3.1.1
>> >> of 3921bis.
>> >
>> > I'd prefer to maintain it, but I would be happy if servers could choose
>> > to override a client's priority, perhaps making them all equal.
>>
>> That's effectively what I'm saying, and what existing services are doing.
> 
> No, some non-comformant services are *ignoring* priority. This is not good.
> 
> I'm suggesting that a server might *override* the client's priority,
> such that the client saw its own presence echoed back with the server's
> choice of priority.
> 
> Then clients are aware of what's going on.

I've added a note about this in my working copy.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/